net.minecraft.client.multiplayer

## Class NetClientHandler

- java.lang.Object
- - net.minecraft.network.packet.NetHandler
  - - net.minecraft.client.multiplayer.NetClientHandler

-     public class NetClientHandler
      extends NetHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `currentServerMaxPlayers`
    `String` | `field_72560_a`
    `MapStorage` | `mapStorage`
    `List` | `playerInfoList` An ArrayList of GuiPlayerInfo (includes all the players' GuiPlayerInfo on the current server)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetClientHandler(Minecraft par1Minecraft, IntegratedServer par2IntegratedServer)`
    `NetClientHandler(Minecraft par1Minecraft, String par2Str, int par3)`
    `NetClientHandler(Minecraft par1Minecraft, String par2Str, int par3, GuiScreen par4GuiScreen)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToSendQueue(Packet par1Packet)` Adds the packet to the send queue
    `boolean` | `canProcessPacketsAsync()` If this returns false, all packets will be queued for the main thread to handle, even if they would otherwise be processed asynchronously.
    `void` | `cleanup()` sets netManager and worldClient to null
    `void` | `disconnect()` Disconnects the network connection.
    `void` | `fmlPacket131Callback(Packet131MapData par1Packet131MapData)`
    `void` | `func_110773_a(Packet44UpdateAttributes par1Packet44UpdateAttributes)`
    `void` | `func_142031_a(Packet133TileEditorOpen par1Packet133TileEditorOpen)`
    `static byte` | `getConnectionCompatibilityLevel()`
    `INetworkManager` | `getNetManager()` Return the NetworkManager instance used by this NetClientHandler
    `EntityPlayer` | `getPlayer()`
    `void` | `handleAnimation(Packet18Animation par1Packet18Animation)`
    `void` | `handleAttachEntity(Packet39AttachEntity par1Packet39AttachEntity)` Packet handler
    `void` | `handleAutoComplete(Packet203AutoComplete par1Packet203AutoComplete)`
    `void` | `handleBlockChange(Packet53BlockChange par1Packet53BlockChange)`
    `void` | `handleBlockDestroy(Packet55BlockDestroy par1Packet55BlockDestroy)`
    `void` | `handleBlockEvent(Packet54PlayNoteBlock par1Packet54PlayNoteBlock)`
    `void` | `handleBlockItemSwitch(Packet16BlockItemSwitch par1Packet16BlockItemSwitch)`
    `void` | `handleChat(Packet3Chat par1Packet3Chat)`
    `void` | `handleCloseWindow(Packet101CloseWindow par1Packet101CloseWindow)`
    `void` | `handleCollect(Packet22Collect par1Packet22Collect)`
    `void` | `handleCustomPayload(Packet250CustomPayload par1Packet250CustomPayload)`
    `void` | `handleDestroyEntity(Packet29DestroyEntity par1Packet29DestroyEntity)`
    `void` | `handleDoorChange(Packet61DoorChange par1Packet61DoorChange)`
    `void` | `handleEntity(Packet30Entity par1Packet30Entity)`
    `void` | `handleEntityEffect(Packet41EntityEffect par1Packet41EntityEffect)` Handle an entity effect packet.
    `void` | `handleEntityExpOrb(Packet26EntityExpOrb par1Packet26EntityExpOrb)` Handle a entity experience orb packet.
    `void` | `handleEntityHeadRotation(Packet35EntityHeadRotation par1Packet35EntityHeadRotation)`
    `void` | `handleEntityMetadata(Packet40EntityMetadata par1Packet40EntityMetadata)` Packet handler
    `void` | `handleEntityPainting(Packet25EntityPainting par1Packet25EntityPainting)` Packet handler
    `void` | `handleEntityStatus(Packet38EntityStatus par1Packet38EntityStatus)` Packet handler
    `void` | `handleEntityTeleport(Packet34EntityTeleport par1Packet34EntityTeleport)`
    `void` | `handleEntityVelocity(Packet28EntityVelocity par1Packet28EntityVelocity)` Packet handler
    `void` | `handleErrorMessage(String par1Str, Object[] par2ArrayOfObj)`
    `void` | `handleExperience(Packet43Experience par1Packet43Experience)` Handle an experience packet.
    `void` | `handleExplosion(Packet60Explosion par1Packet60Explosion)`
    `void` | `handleFlying(Packet10Flying par1Packet10Flying)`
    `void` | `handleGameEvent(Packet70GameEvent par1Packet70GameEvent)`
    `void` | `handleKeepAlive(Packet0KeepAlive par1Packet0KeepAlive)` Handle a keep alive packet.
    `void` | `handleKickDisconnect(Packet255KickDisconnect par1Packet255KickDisconnect)`
    `void` | `handleLevelSound(Packet62LevelSound par1Packet62LevelSound)`
    `void` | `handleLogin(Packet1Login par1Packet1Login)`
    `void` | `handleMapChunk(Packet51MapChunk par1Packet51MapChunk)` Handle Packet51MapChunk (full chunk update of blocks, metadata, light levels, and optionally biome data)
    `void` | `handleMapChunks(Packet56MapChunks par1Packet56MapChunks)`
    `void` | `handleMapData(Packet131MapData par1Packet131MapData)` Contains logic for handling packets containing arbitrary unique item data.
    `void` | `handleMobSpawn(Packet24MobSpawn par1Packet24MobSpawn)`
    `void` | `handleMultiBlockChange(Packet52MultiBlockChange par1Packet52MultiBlockChange)`
    `void` | `handleNamedEntitySpawn(Packet20NamedEntitySpawn par1Packet20NamedEntitySpawn)`
    `void` | `handleOpenWindow(Packet100OpenWindow par1Packet100OpenWindow)`
    `void` | `handlePlayerAbilities(Packet202PlayerAbilities par1Packet202PlayerAbilities)` Handle a player abilities packet.
    `void` | `handlePlayerInfo(Packet201PlayerInfo par1Packet201PlayerInfo)` Handle a player information packet.
    `void` | `handlePlayerInventory(Packet5PlayerInventory par1Packet5PlayerInventory)`
    `void` | `handleRemoveEntityEffect(Packet42RemoveEntityEffect par1Packet42RemoveEntityEffect)` Handle a remove entity effect packet.
    `void` | `handleRespawn(Packet9Respawn par1Packet9Respawn)` respawns the player
    `void` | `handleServerAuthData(Packet253ServerAuthData par1Packet253ServerAuthData)`
    `void` | `handleSetDisplayObjective(Packet208SetDisplayObjective par1Packet208SetDisplayObjective)` Handle a set display objective packet.
    `void` | `handleSetObjective(Packet206SetObjective par1Packet206SetObjective)` Handle a set objective packet.
    `void` | `handleSetPlayerTeam(Packet209SetPlayerTeam par1Packet209SetPlayerTeam)` Handle a set player team packet.
    `void` | `handleSetScore(Packet207SetScore par1Packet207SetScore)` Handle a set score packet.
    `void` | `handleSetSlot(Packet103SetSlot par1Packet103SetSlot)`
    `void` | `handleSharedKey(Packet252SharedKey par1Packet252SharedKey)`
    `void` | `handleSleep(Packet17Sleep par1Packet17Sleep)`
    `void` | `handleSpawnPosition(Packet6SpawnPosition par1Packet6SpawnPosition)`
    `void` | `handleStatistic(Packet200Statistic par1Packet200Statistic)` Increment player statistics
    `void` | `handleTileEntityData(Packet132TileEntityData par1Packet132TileEntityData)`
    `void` | `handleTransaction(Packet106Transaction par1Packet106Transaction)`
    `void` | `handleUpdateHealth(Packet8UpdateHealth par1Packet8UpdateHealth)` Recieves player health from the server and then proceeds to set it locally on the client.
    `void` | `handleUpdateProgressbar(Packet105UpdateProgressbar par1Packet105UpdateProgressbar)`
    `void` | `handleUpdateSign(Packet130UpdateSign par1Packet130UpdateSign)` Updates Client side signs
    `void` | `handleUpdateTime(Packet4UpdateTime par1Packet4UpdateTime)`
    `void` | `handleVanilla250Packet(Packet250CustomPayload par1Packet250CustomPayload)`
    `void` | `handleVehicleSpawn(Packet23VehicleSpawn par1Packet23VehicleSpawn)`
    `void` | `handleWeather(Packet71Weather par1Packet71Weather)` Handles weather packet
    `void` | `handleWindowItems(Packet104WindowItems par1Packet104WindowItems)`
    `void` | `handleWorldParticles(Packet63WorldParticles par1Packet63WorldParticles)` Handle a world particles packet.
    `boolean` | `isServerHandler()` determine if it is a server handler
    `void` | `processReadPackets()` Processes the packets that have been read since the last call to this function.
    `void` | `quitWithPacket(Packet par1Packet)`
    `static void` | `setConnectionCompatibilityLevel(byte connectionCompatibilityLevel)`

    - ### Methods inherited from class net.minecraft.network.packet.NetHandler

      `func_110774_a, handleBlockDig, handleClientCommand, handleClientInfo, handleClientProtocol, handleCreativeSetSlot, handleEnchantItem, handleEntityAction, handlePlace, handleServerPing, handleUseEntity, handleWindowClick, isConnectionClosed, unexpectedPacket`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_72560_a

          public String field_72560_a

    - #### mapStorage

          public MapStorage mapStorage

    - #### playerInfoList

          public List playerInfoList

      An ArrayList of GuiPlayerInfo (includes all the players' GuiPlayerInfo on the current server)

    - #### currentServerMaxPlayers

          public int currentServerMaxPlayers

  - ### Constructor Detail

    - #### NetClientHandler

          public NetClientHandler(Minecraft par1Minecraft,
                          String par2Str,
                          int par3)
                           throws IOException

      Throws:
        `IOException`

    - #### NetClientHandler

          public NetClientHandler(Minecraft par1Minecraft,
                          String par2Str,
                          int par3,
                          GuiScreen par4GuiScreen)
                           throws IOException

      Throws:
        `IOException`

    - #### NetClientHandler

          public NetClientHandler(Minecraft par1Minecraft,
                          IntegratedServer par2IntegratedServer)
                           throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### cleanup

          public void cleanup()

      sets netManager and worldClient to null

    - #### processReadPackets

          public void processReadPackets()

      Processes the packets that have been read since the last call to this function.

    - #### handleServerAuthData

          public void handleServerAuthData(Packet253ServerAuthData par1Packet253ServerAuthData)

      Overrides:
        `handleServerAuthData` in class `NetHandler`

    - #### handleSharedKey

          public void handleSharedKey(Packet252SharedKey par1Packet252SharedKey)

      Overrides:
        `handleSharedKey` in class `NetHandler`

    - #### handleLogin

          public void handleLogin(Packet1Login par1Packet1Login)

      Overrides:
        `handleLogin` in class `NetHandler`

    - #### handleVehicleSpawn

          public void handleVehicleSpawn(Packet23VehicleSpawn par1Packet23VehicleSpawn)

      Overrides:
        `handleVehicleSpawn` in class `NetHandler`

    - #### handleEntityExpOrb

          public void handleEntityExpOrb(Packet26EntityExpOrb par1Packet26EntityExpOrb)

      Handle a entity experience orb packet.
      Overrides:
        `handleEntityExpOrb` in class `NetHandler`

    - #### handleWeather

          public void handleWeather(Packet71Weather par1Packet71Weather)

      Handles weather packet
      Overrides:
        `handleWeather` in class `NetHandler`

    - #### handleEntityPainting

          public void handleEntityPainting(Packet25EntityPainting par1Packet25EntityPainting)

      Packet handler
      Overrides:
        `handleEntityPainting` in class `NetHandler`

    - #### handleEntityVelocity

          public void handleEntityVelocity(Packet28EntityVelocity par1Packet28EntityVelocity)

      Packet handler
      Overrides:
        `handleEntityVelocity` in class `NetHandler`

    - #### handleEntityMetadata

          public void handleEntityMetadata(Packet40EntityMetadata par1Packet40EntityMetadata)

      Packet handler
      Overrides:
        `handleEntityMetadata` in class `NetHandler`

    - #### handleNamedEntitySpawn

          public void handleNamedEntitySpawn(Packet20NamedEntitySpawn par1Packet20NamedEntitySpawn)

      Overrides:
        `handleNamedEntitySpawn` in class `NetHandler`

    - #### handleEntityTeleport

          public void handleEntityTeleport(Packet34EntityTeleport par1Packet34EntityTeleport)

      Overrides:
        `handleEntityTeleport` in class `NetHandler`

    - #### handleBlockItemSwitch

          public void handleBlockItemSwitch(Packet16BlockItemSwitch par1Packet16BlockItemSwitch)

      Overrides:
        `handleBlockItemSwitch` in class `NetHandler`

    - #### handleEntity

          public void handleEntity(Packet30Entity par1Packet30Entity)

      Overrides:
        `handleEntity` in class `NetHandler`

    - #### handleEntityHeadRotation

          public void handleEntityHeadRotation(Packet35EntityHeadRotation par1Packet35EntityHeadRotation)

      Overrides:
        `handleEntityHeadRotation` in class `NetHandler`

    - #### handleDestroyEntity

          public void handleDestroyEntity(Packet29DestroyEntity par1Packet29DestroyEntity)

      Overrides:
        `handleDestroyEntity` in class `NetHandler`

    - #### handleFlying

          public void handleFlying(Packet10Flying par1Packet10Flying)

      Overrides:
        `handleFlying` in class `NetHandler`

    - #### handleMultiBlockChange

          public void handleMultiBlockChange(Packet52MultiBlockChange par1Packet52MultiBlockChange)

      Overrides:
        `handleMultiBlockChange` in class `NetHandler`

    - #### handleMapChunk

          public void handleMapChunk(Packet51MapChunk par1Packet51MapChunk)

      Handle Packet51MapChunk (full chunk update of blocks, metadata, light levels, and optionally biome data)
      Overrides:
        `handleMapChunk` in class `NetHandler`

    - #### handleBlockChange

          public void handleBlockChange(Packet53BlockChange par1Packet53BlockChange)

      Overrides:
        `handleBlockChange` in class `NetHandler`

    - #### handleKickDisconnect

          public void handleKickDisconnect(Packet255KickDisconnect par1Packet255KickDisconnect)

      Overrides:
        `handleKickDisconnect` in class `NetHandler`

    - #### handleErrorMessage

          public void handleErrorMessage(String par1Str,
                                Object[] par2ArrayOfObj)

      Overrides:
        `handleErrorMessage` in class `NetHandler`

    - #### quitWithPacket

          public void quitWithPacket(Packet par1Packet)

    - #### addToSendQueue

          public void addToSendQueue(Packet par1Packet)

      Adds the packet to the send queue

    - #### handleCollect

          public void handleCollect(Packet22Collect par1Packet22Collect)

      Overrides:
        `handleCollect` in class `NetHandler`

    - #### handleChat

          public void handleChat(Packet3Chat par1Packet3Chat)

      Overrides:
        `handleChat` in class `NetHandler`

    - #### handleAnimation

          public void handleAnimation(Packet18Animation par1Packet18Animation)

      Overrides:
        `handleAnimation` in class `NetHandler`

    - #### handleSleep

          public void handleSleep(Packet17Sleep par1Packet17Sleep)

      Overrides:
        `handleSleep` in class `NetHandler`

    - #### disconnect

          public void disconnect()

      Disconnects the network connection.

    - #### handleMobSpawn

          public void handleMobSpawn(Packet24MobSpawn par1Packet24MobSpawn)

      Overrides:
        `handleMobSpawn` in class `NetHandler`

    - #### handleUpdateTime

          public void handleUpdateTime(Packet4UpdateTime par1Packet4UpdateTime)

      Overrides:
        `handleUpdateTime` in class `NetHandler`

    - #### handleSpawnPosition

          public void handleSpawnPosition(Packet6SpawnPosition par1Packet6SpawnPosition)

      Overrides:
        `handleSpawnPosition` in class `NetHandler`

    - #### handleAttachEntity

          public void handleAttachEntity(Packet39AttachEntity par1Packet39AttachEntity)

      Packet handler
      Overrides:
        `handleAttachEntity` in class `NetHandler`

    - #### handleEntityStatus

          public void handleEntityStatus(Packet38EntityStatus par1Packet38EntityStatus)

      Packet handler
      Overrides:
        `handleEntityStatus` in class `NetHandler`

    - #### handleUpdateHealth

          public void handleUpdateHealth(Packet8UpdateHealth par1Packet8UpdateHealth)

      Recieves player health from the server and then proceeds to set it locally on the client.
      Overrides:
        `handleUpdateHealth` in class `NetHandler`

    - #### handleExperience

          public void handleExperience(Packet43Experience par1Packet43Experience)

      Handle an experience packet.
      Overrides:
        `handleExperience` in class `NetHandler`

    - #### handleRespawn

          public void handleRespawn(Packet9Respawn par1Packet9Respawn)

      respawns the player
      Overrides:
        `handleRespawn` in class `NetHandler`

    - #### handleExplosion

          public void handleExplosion(Packet60Explosion par1Packet60Explosion)

      Overrides:
        `handleExplosion` in class `NetHandler`

    - #### handleOpenWindow

          public void handleOpenWindow(Packet100OpenWindow par1Packet100OpenWindow)

      Overrides:
        `handleOpenWindow` in class `NetHandler`

    - #### handleSetSlot

          public void handleSetSlot(Packet103SetSlot par1Packet103SetSlot)

      Overrides:
        `handleSetSlot` in class `NetHandler`

    - #### handleTransaction

          public void handleTransaction(Packet106Transaction par1Packet106Transaction)

      Overrides:
        `handleTransaction` in class `NetHandler`

    - #### handleWindowItems

          public void handleWindowItems(Packet104WindowItems par1Packet104WindowItems)

      Overrides:
        `handleWindowItems` in class `NetHandler`

    - #### func_142031_a

          public void func_142031_a(Packet133TileEditorOpen par1Packet133TileEditorOpen)

      Overrides:
        `func_142031_a` in class `NetHandler`

    - #### handleUpdateSign

          public void handleUpdateSign(Packet130UpdateSign par1Packet130UpdateSign)

      Updates Client side signs
      Overrides:
        `handleUpdateSign` in class `NetHandler`

    - #### handleTileEntityData

          public void handleTileEntityData(Packet132TileEntityData par1Packet132TileEntityData)

      Overrides:
        `handleTileEntityData` in class `NetHandler`

    - #### handleUpdateProgressbar

          public void handleUpdateProgressbar(Packet105UpdateProgressbar par1Packet105UpdateProgressbar)

      Overrides:
        `handleUpdateProgressbar` in class `NetHandler`

    - #### handlePlayerInventory

          public void handlePlayerInventory(Packet5PlayerInventory par1Packet5PlayerInventory)

      Overrides:
        `handlePlayerInventory` in class `NetHandler`

    - #### handleCloseWindow

          public void handleCloseWindow(Packet101CloseWindow par1Packet101CloseWindow)

      Overrides:
        `handleCloseWindow` in class `NetHandler`

    - #### handleBlockEvent

          public void handleBlockEvent(Packet54PlayNoteBlock par1Packet54PlayNoteBlock)

      Overrides:
        `handleBlockEvent` in class `NetHandler`

    - #### handleBlockDestroy

          public void handleBlockDestroy(Packet55BlockDestroy par1Packet55BlockDestroy)

      Overrides:
        `handleBlockDestroy` in class `NetHandler`

    - #### handleMapChunks

          public void handleMapChunks(Packet56MapChunks par1Packet56MapChunks)

      Overrides:
        `handleMapChunks` in class `NetHandler`

    - #### canProcessPacketsAsync

          public boolean canProcessPacketsAsync()

      If this returns false, all packets will be queued for the main thread to handle, even if they would otherwise be processed asynchronously. Used to avoid processing packets on the client before the world has been downloaded (which happens on the main thread)
      Overrides:
        `canProcessPacketsAsync` in class `NetHandler`

    - #### handleGameEvent

          public void handleGameEvent(Packet70GameEvent par1Packet70GameEvent)

      Overrides:
        `handleGameEvent` in class `NetHandler`

    - #### handleMapData

          public void handleMapData(Packet131MapData par1Packet131MapData)

      Contains logic for handling packets containing arbitrary unique item data. Currently this is only for maps.
      Overrides:
        `handleMapData` in class `NetHandler`

    - #### fmlPacket131Callback

          public void fmlPacket131Callback(Packet131MapData par1Packet131MapData)

    - #### handleDoorChange

          public void handleDoorChange(Packet61DoorChange par1Packet61DoorChange)

      Overrides:
        `handleDoorChange` in class `NetHandler`

    - #### handleStatistic

          public void handleStatistic(Packet200Statistic par1Packet200Statistic)

      Increment player statistics
      Overrides:
        `handleStatistic` in class `NetHandler`

    - #### handleEntityEffect

          public void handleEntityEffect(Packet41EntityEffect par1Packet41EntityEffect)

      Handle an entity effect packet.
      Overrides:
        `handleEntityEffect` in class `NetHandler`

    - #### handleRemoveEntityEffect

          public void handleRemoveEntityEffect(Packet42RemoveEntityEffect par1Packet42RemoveEntityEffect)

      Handle a remove entity effect packet.
      Overrides:
        `handleRemoveEntityEffect` in class `NetHandler`

    - #### isServerHandler

          public boolean isServerHandler()

      determine if it is a server handler
      Specified by:
        `isServerHandler` in class `NetHandler`

    - #### handlePlayerInfo

          public void handlePlayerInfo(Packet201PlayerInfo par1Packet201PlayerInfo)

      Handle a player information packet.
      Overrides:
        `handlePlayerInfo` in class `NetHandler`

    - #### handleKeepAlive

          public void handleKeepAlive(Packet0KeepAlive par1Packet0KeepAlive)

      Handle a keep alive packet.
      Overrides:
        `handleKeepAlive` in class `NetHandler`

    - #### handlePlayerAbilities

          public void handlePlayerAbilities(Packet202PlayerAbilities par1Packet202PlayerAbilities)

      Handle a player abilities packet.
      Overrides:
        `handlePlayerAbilities` in class `NetHandler`

    - #### handleAutoComplete

          public void handleAutoComplete(Packet203AutoComplete par1Packet203AutoComplete)

      Overrides:
        `handleAutoComplete` in class `NetHandler`

    - #### handleLevelSound

          public void handleLevelSound(Packet62LevelSound par1Packet62LevelSound)

      Overrides:
        `handleLevelSound` in class `NetHandler`

    - #### handleCustomPayload

          public void handleCustomPayload(Packet250CustomPayload par1Packet250CustomPayload)

      Overrides:
        `handleCustomPayload` in class `NetHandler`

    - #### handleVanilla250Packet

          public void handleVanilla250Packet(Packet250CustomPayload par1Packet250CustomPayload)

      Specified by:
        `handleVanilla250Packet` in class `NetHandler`

    - #### handleSetObjective

          public void handleSetObjective(Packet206SetObjective par1Packet206SetObjective)

      Handle a set objective packet.
      Overrides:
        `handleSetObjective` in class `NetHandler`

    - #### handleSetScore

          public void handleSetScore(Packet207SetScore par1Packet207SetScore)

      Handle a set score packet.
      Overrides:
        `handleSetScore` in class `NetHandler`

    - #### handleSetDisplayObjective

          public void handleSetDisplayObjective(Packet208SetDisplayObjective par1Packet208SetDisplayObjective)

      Handle a set display objective packet.
      Overrides:
        `handleSetDisplayObjective` in class `NetHandler`

    - #### handleSetPlayerTeam

          public void handleSetPlayerTeam(Packet209SetPlayerTeam par1Packet209SetPlayerTeam)

      Handle a set player team packet.
      Overrides:
        `handleSetPlayerTeam` in class `NetHandler`

    - #### handleWorldParticles

          public void handleWorldParticles(Packet63WorldParticles par1Packet63WorldParticles)

      Handle a world particles packet.
      Overrides:
        `handleWorldParticles` in class `NetHandler`

    - #### func_110773_a

          public void func_110773_a(Packet44UpdateAttributes par1Packet44UpdateAttributes)

      Overrides:
        `func_110773_a` in class `NetHandler`

    - #### getNetManager

          public INetworkManager getNetManager()

      Return the NetworkManager instance used by this NetClientHandler

    - #### getPlayer

          public EntityPlayer getPlayer()

      Specified by:
        `getPlayer` in class `NetHandler`

    - #### setConnectionCompatibilityLevel

          public static void setConnectionCompatibilityLevel(byte connectionCompatibilityLevel)

    - #### getConnectionCompatibilityLevel

          public static byte getConnectionCompatibilityLevel()